import request from '@/utils/request'

// 分页查询图库目录共享用户列表
export function pageListUser(query) {
  return request({
    url: '/share/user/pageList',
    method: 'get',
    params: query
  })
}

// 查询图库目录共享用户列表
export function listUser(query) {
  return request({
    url: '/share/user/list',
    method: 'get',
    params: query
  })
}

// 查询图库目录共享用户详细
export function getUser(id) {
  return request({
    url: '/share/user/' + id,
    method: 'get'
  })
}

// 新增图库目录共享用户
export function addUser(data) {
  return request({
    url: '/share/user',
    method: 'post',
    data: data
  })
}

// 修改图库目录共享用户
export function updateUser(data) {
  return request({
    url: '/share/user',
    method: 'put',
    data: data
  })
}

// 删除图库目录共享用户
export function delUser(id) {
  return request({
    url: '/share/user/' + id,
    method: 'delete'
  })
}

// 导出图库目录共享用户
export function exportUser(query) {
  return request({
    url: '/share/user/' + 'export',
    method: 'post',
    params: query
  })
}
